Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Interface DistributedState

All Known Implementing Classes:
  DistributedListState, DistributedMapState, DistributedPOJOState, DistributedSetState

public interface DistributedState

Method Summary
`void` | `acquireReadLock()`
`void` | `acquireWriteLock()`
`org.jboss.aop.InstanceAdvised` | `buildObject(SynchronizationManager manager, DistributedVersionManager versionManager)`
`void` | `checkOptimisticLock(Transaction tx)`
`DistributedUpdate` | `createTxUpdate(Transaction tx)`
`org.jboss.util.id.GUID` | `getGUID()`
`org.jboss.aop.InstanceAdvised` | `getObject()`
`void` | `mergeState(DistributedUpdate update)`
`void` | `mergeState(Transaction tx)`
`void` | `releaseReadLock()`
`void` | `releaseWriteLock()`

Method Detail

### getGUID

    public org.jboss.util.id.GUID getGUID()

### createTxUpdate

    public DistributedUpdate createTxUpdate(Transaction tx)

### buildObject

    public org.jboss.aop.InstanceAdvised buildObject(SynchronizationManager manager,
                                                     DistributedVersionManager versionManager)
                                              throws Exception

  Throws:
    `Exception`

### mergeState

    public void mergeState(DistributedUpdate update)
                    throws Exception

  Throws:
    `Exception`

### mergeState

    public void mergeState(Transaction tx)
                    throws Exception

  Throws:
    `Exception`

### checkOptimisticLock

    public void checkOptimisticLock(Transaction tx)

### getObject

    public org.jboss.aop.InstanceAdvised getObject()

### acquireWriteLock

    public void acquireWriteLock()

### acquireReadLock

    public void acquireReadLock()

### releaseReadLock

    public void releaseReadLock()

### releaseWriteLock

    public void releaseWriteLock()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.